import { MouseEvent } from "react";
export type NerdAppBarProps = {
    title?: string;
    logo?: string;
    divider?: boolean;
    variant?: "dense" | "regular";
    content?: Array<JSX.Element>;
    appRoot?: string;
};
export type NerdAppBarContent = {
    title?: string;
    startIcon?: JSX.Element;
    endIcon?: JSX.Element;
    variant?: "text" | "outlined" | "contained";
    size?: "small" | "medium" | "large";
    nested?: Array<NerdAppBarNestedContent>;
    divider?: boolean;
    href?: string;
    callback?: (event: MouseEvent<HTMLButtonElement>) => void;
};
export type NerdAppBarNestedContent = {
    title?: string;
    subtitle?: string;
    icon?: JSX.Element | string;
    divider?: boolean;
    href?: string;
};
/**
 * @component
 * @param {NerdAppBarProps} props NerdAppBar props
 * @param {string} props.title title of the app
 * @param {string} props.logo Logo of the app
 * @param {string} props.variant Size of the appBar (dense or regular)
 * @param {Array<NerdAppBarContent | React.ReactElement>} props.content Height of the appbar. Could be dense or regular.
 * @returns {React.ReactElement | null} UserDisplay component
 */
export default function NerdAppBar({ title, logo, content, variant, appRoot, divider, }: NerdAppBarProps): React.ReactElement | null;
