import { jsx as _jsx } from "react/jsx-runtime";
import { Box, Grid } from "@mui/joy";
const COLORS = [
    "#f44336",
    "#e91e63",
    "#9c27b0",
    "#673ab7",
    "#3f51b5",
    "#2196f3",
    "#03a9f4",
    "#00bcd4",
    "#009688",
    "#4caf50",
    "#8bc34a",
    "#cddc39",
    "#ffeb3b",
    "#ffc107",
    "#ff9800",
    "#ff5722",
    "#795548",
    "#607d8b",
];
/**
 *
 * @param {object} props props
 * @param {string} props.value value
 * @param {Function} props.onChange onChange
 * @param {Array<string>} props.colors colors
 * @returns {ReactElement} CircleColorPicker
 */
export default function NerdCircleColorPicker({ value, onChange, colors, }) {
    return (_jsx(Grid, { container: true, spacing: 1, alignItems: "center", width: "260px", children: (colors || COLORS).map((c, i) => (_jsx(Grid, { xs: 2, children: _jsx(Color, { value: value, color: c, onClick: () => onChange(c) }) }, i))) }));
}
/**
 *
 * @param {ColorProps} props props
 * @returns {ReactElement} Color
 */
function Color(props) {
    const { color, onClick, value } = props;
    return (_jsx(Box, { onClick: onClick, sx: {
            bgcolor: value === color ? "white" : color,
            border: value === color ? "4px solid" : "0px",
            borderColor: color,
            width: "30px",
            height: "30px",
            transform: "scale(1)",
            borderRadius: "20px",
            "&:hover": {
                transform: "scale(1.1)",
                transition: "transform 0.1s",
            },
        } }));
}
