import { InputProps } from "@mui/joy";
import { ReactElement } from "react";
export interface NerdCodeFieldInterface {
    /**
     * Length of the OTP code
     */
    length: number;
    /**
     * On change handler
     */
    onChange: (c: string) => void;
    /**
     * value
     */
    value: string;
    /**
     * Additionnal props to control the style of textfields.
     */
    inputProps?: InputProps;
}
/**
 * NerdCodeField: A component that displays multiple inputs for a one-time-code.
 *
 * @param {{length, onChange, value, TextfieldProps}} params List of params
 * @returns {React.ReactElement} Returns the CodeField component
 */
export default function NerdCodeField({ length, onChange, value, inputProps, }: NerdCodeFieldInterface): ReactElement;
