import { jsx as _jsx } from "react/jsx-runtime";
import { Tooltip, IconButton } from "@mui/joy";
import { useState } from "react";
/**
 *
 * @param {CopyInputDecoratorProps} props props
 * @returns {ReactElement} CopyInputDecorator
 */
export function CopyInputDecorator(props) {
    const { inputRef } = props;
    const CLICK_TO_COPY = "Click to copy";
    const COPIED = "Copied !";
    const [tooltipText, setTooltipText] = useState(CLICK_TO_COPY);
    return (_jsx(Tooltip, { title: tooltipText, children: _jsx(IconButton, { onClick: () => {
                if (!navigator.clipboard)
                    return;
                if (inputRef.current?.value) {
                    navigator.clipboard.writeText(inputRef.current.value);
                    setTooltipText(COPIED);
                }
            }, onMouseOver: () => setTooltipText(CLICK_TO_COPY), children: _jsx("i", { className: "fa-regular fa-copy" }) }) }));
}
