import { DateTime } from "luxon";
import { ReactElement } from "react";
import { NerdDatePickerProps } from "../nerdDatePicker/nerdDatePicker";
import { NerdTimePickerProps } from "../nerdTimePicker/nerdTimePicker";
import { NerdDateRangePickerProps } from "../nerdDateRangePicker/nerdDateRangePicker";
import { ModalProps } from "@mui/joy";
export interface NerdTimeZoneObject {
    label: string;
    value: string;
    offset: number;
}
export interface NerdDateTimeRangePickerProps {
    startDate: DateTime | null;
    endDate: DateTime | null;
    onChange: (startDate: DateTime | null, endDate: DateTime | null) => void;
    startDatePickerProps?: Partial<NerdDatePickerProps>;
    startTimePickerProps?: Partial<NerdTimePickerProps>;
    endTimePickerProps?: Partial<NerdTimePickerProps>;
    endDatePickerProps?: Partial<NerdDatePickerProps>;
    timeFormat?: "12" | "24";
    disableTimeZones?: boolean;
    disableAllDay?: boolean;
    ModalProps?: Partial<ModalProps>;
    disableVirtualizedAutocomplete?: boolean;
    nerdDateRangePickerProps?: Partial<NerdDateRangePickerProps>;
    defaultTimeZone?: string;
}
/**
 *
 * @param {NerdDateTimeRangePickerProps} props component props
 * @returns {ReactElement} NerdDateTimeRangePicker
 */
export default function NerdDateTimeRangePicker(props: NerdDateTimeRangePickerProps): ReactElement;
