import { jsx as _jsx } from "react/jsx-runtime";
import { createElement as _createElement } from "react";
import { Popper, ClickAwayListener } from "@mui/base";
import { Autocomplete, AutocompleteOption, styled } from "@mui/joy";
const StyledPopper = styled(Popper)(({ theme }) => ({
    width: 300,
    zIndex: theme.zIndex.modal,
    fontSize: 13,
}));
/**
 * This component should not be used externally. It aims to reduce the NerdPhoneField.tsx file length.
 *
 * @param {StyledAutocompleteProps} props Component props
 * @returns {ReactElement} StyledAutocomplete
 */
export default function StyledAutocomplete(props) {
    const { anchorEl, handleClose, open, options, value, onChange } = props;
    return (_jsx(StyledPopper, { open: open, anchorEl: anchorEl, placement: "bottom-start", children: _jsx(ClickAwayListener, { onClickAway: handleClose, children: _jsx(Autocomplete, { slotProps: {
                    listbox: {
                        disablePortal: true,
                    },
                }, disableClearable: true, open: true, value: value, onChange: onChange, options: options, getOptionLabel: (option) => `${option.fullName} (${option.countryCode}) +${option.callingCode}`, isOptionEqualToValue: (option, value) => option.countryCode == value.countryCode, renderOption: (props, option) => (_createElement(AutocompleteOption, { component: "li", sx: {
                        "& > img": { mr: 2, flexShrink: 0 },
                    }, ...props, key: option.countryCode + option.callingCode }, `${option.flag} ${option.fullName} (${option.countryCode}) +${option.callingCode}`)), autoFocus: true }) }) }));
}
