import { jsx as _jsx } from "react/jsx-runtime";
import { Typography, Button } from "@mui/joy";
import { useCallback } from "react";
import ReactMarkdown from "react-markdown";
import remarkDirective from "remark-directive";
import remarkGfm from "remark-gfm";
import remarkDirectiveRehype from "../nerdMarkdownEditor/remarkDirectiveRehype";
/**
 *
 * @param {HeadingProps} props props
 * @returns {ReactElement} Heading
 */
function Heading(props) {
    const { level, children } = props;
    const getLevel = useCallback(() => {
        switch (level) {
            case 1:
                return "h1";
            case 2:
                return "h2";
            case 3:
                return "h3";
            case 4:
                return "h4";
            case 5:
                return "title-lg";
            case 6:
                return "title-md";
            default:
                return "h1";
        }
    }, [level]);
    return _jsx(Typography, { level: getLevel(), children: children });
}
/**
 *
 * @param {NerdReactMarkdownProps} props props
 * @returns {ReactElement} NerdReactMarkdown
 */
export function NerdReactMarkdown(props) {
    const { markdown } = props;
    return (_jsx(ReactMarkdown, { remarkPlugins: [remarkGfm, remarkDirective, remarkDirectiveRehype], components: {
            "button-component": Button,
            h1: Heading,
            h2: Heading,
            h3: Heading,
            h4: Heading,
            h5: Heading,
            h6: Heading,
        }, children: markdown }));
}
