import { jsx as _jsx } from "react/jsx-runtime";
import * as React from "react";
import { FixedSizeList } from "react-window";
import AutocompleteListbox from "@mui/joy/AutocompleteListbox";
import { Popper } from "@mui/base";
import { useTheme } from "@mui/joy";
const OuterElementContext = React.createContext({});
const OuterElementType = React.forwardRef((props, ref) => {
    const outerProps = React.useContext(OuterElementContext);
    return (_jsx(AutocompleteListbox, { ...props, ...outerProps, component: "div", ref: ref, sx: {
            "& ul": {
                padding: 0,
                margin: 0,
                flexShrink: 0,
            },
        } }));
});
OuterElementType.displayName = "OuterElementType";
// Adapter for react-window
export const NerdVirtualizedAutocomplete = React.forwardRef(function ListboxComponent(props, ref) {
    const theme = useTheme();
    const { children, anchorEl, open, modifiers, renderRow, ...other } = props;
    const itemData = [];
    const _children = children;
    _children[0].forEach((item) => {
        if (item) {
            itemData.push(item);
            itemData.push(...(item.children || []));
        }
    });
    if (_children[1]) {
        itemData.push(_children[1].props.children);
    }
    if (_children[2]) {
        itemData.push(_children[2].props.children);
    }
    const itemCount = itemData.length;
    const itemSize = 40;
    return (_jsx(Popper, { ref: ref, anchorEl: anchorEl, open: open, modifiers: modifiers, slotProps: {
            root: { style: { zIndex: theme.zIndex.modal } },
        }, children: _jsx(OuterElementContext.Provider, { value: other, children: _jsx(FixedSizeList, { itemData: itemData, height: itemSize * 8, width: "100%", outerElementType: OuterElementType, innerElementType: "ul", itemSize: itemSize, overscanCount: 5, itemCount: itemCount, children: renderRow }) }) }));
});
