import { createSelector, createSlice } from "@reduxjs/toolkit";
export const notificationInitialState = {
    notification: undefined,
};
export const notificationSlice = createSlice({
    name: "notification",
    initialState: notificationInitialState,
    reducers: {
        showNotification: (state, action) => {
            state.notification = action.payload;
            return state;
        },
        clearNotification: () => {
            return undefined;
        },
    },
});
export const { showNotification, clearNotification } = notificationSlice.actions;
export const notificationReducer = notificationSlice.reducer;
const selectNerdNotifierNotification = (state) => state.nerdUIState.nerdNotifier.notification;
export const nerdNotifierNotificationSelector = createSelector([selectNerdNotifierNotification], (notification) => {
    return notification;
});
